HostingDelivery
Get suppression list entry
POST
/api/delivery/suppression_lists/detailsReturns suppression list details for an email address.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
email*string
Email address to look up in the suppression list.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/suppression_lists/details" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'{
"resources": [
{
"active": "string",
"id": "string",
"email": "string",
"customer_id": "string",
"reason": "complaint",
"category": "string",
"message": "string",
"message_translated": "string",
"accounts": "string",
"created_at": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}